#!/bin/bash

slot=$1

./wr2rf -s $slot api-init

# Configure TMG IO for RF trigger units default operation
./wr2rf -s $slot api-tmgio  1 0 1
./wr2rf -s $slot api-tmgio  2 0 1
./wr2rf -s $slot api-tmgio  3 1 0
./wr2rf -s $slot api-tmgio  4 1 0
./wr2rf -s $slot api-tmgclk 1 0 1
./wr2rf -s $slot api-tmgclk 2 0 1
# TU starts are input on tmg_clk[2:1]
./wr2rf -s $slot api-vtu-start-lemo 1.1 5
./wr2rf -s $slot api-vtu-start-lemo 1.2 5
./wr2rf -s $slot api-vtu-start-lemo 2.1 6
./wr2rf -s $slot api-vtu-start-lemo 2.2 6
# TU stops are input on tmg_io[2:1] 
./wr2rf -s $slot api-vtu-stop-lemo 1.1 1
./wr2rf -s $slot api-vtu-stop-lemo 1.2 1
./wr2rf -s $slot api-vtu-stop-lemo 2.1 2
./wr2rf -s $slot api-vtu-stop-lemo 2.2 2

# setup front panel debug signals
# RF sync signals are output on tmg_io[4:3] 
#./wr2rf -s $slot api-lemo-dbg-sel tmgio3 nco_reset
#./wr2rf -s $slot api-lemo-dbg-sel tmgio4 rf1_frev

